Bug 11957 - Bugzilla freezes for about 45 second after loading query screen.
Bugzilla freezes for about 45 second after loading query screen.
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-06-07 15:00 EDT by Stanley Suan
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-07 15:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stanley Suan 2000-06-07 15:00:05 EDT
I was querying Bugzilla for the first time after the upgrade to Oracle, 
and noticed that once I reached the query page, Bugzilla would freeze for 
about 45 seconds, then allow me to enter my query.  Since I was using a 
dail-up connection (48k) I passed it off as being caused by my connection.
But at work with a persistant 256K connection that freeze still occurs, 
but for shorter period of time (30 seconds?) I am the only one how noticed 
this problem?
Comment 1 Pekka Savola 2000-08-03 08:31:45 EDT
I noticed this too.

After some javascript hacks were disabled by default (about 1.5 months ago), the
load times dropped from  like 60 seconds to 1.5 seconds here.

Netscape 4.73 on RH Linux would also freeze totally for a minute or so.  Windows
version of
4.73 on a simular network connection was fine.
Comment 2 David Lawrence 2000-08-03 10:15:51 EDT
This is cause by the tremendous amount of javascript that is being downloaded to
allow for the whiz-bang product selection feature. Over time as more and more
products were added this kept getting bigger. I have now disabled it by default
and added a link to the query page which will allow you to bring back the old
behaviour if wanted. Again it is not recommended for slow connections.

Note You need to log in before you can comment on or make changes to this bug.